// $Id: pref-dictionarysearch.js,v 1.1 2004/06/12 19:43:00 jaap Exp $

/* ***** BEGIN LICENSE BLOCK ***** 
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Initial Developer of the Original Code is Jaap Haitsma.
 * Portions created by the Initial Developer are Copyright (C) 2003
 * by the Initial Developer. All Rights Reserved.
 *
 * Contributor(s): Jaap Haitsma <jaap@haitsma.org>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

// Uncomment DEBUG part and log statements to have logging to the console
// Furthermore you need to add the following two lines to prefs.js to see
// the logging in the shell where you started the browser
// user_pref("browser.dom.window.dump.enabled", true);
// user_pref("javascript.options.showInConsole", true);

var gData;

function init(){
    //log("init(): pref-dictionarysearch.js");

    var prefWindow = parent.hPrefWindow;
       
    gData = prefWindow.wsm.dataManager
                         .pageData["chrome://dictionarysearch/content/pref/pref-dictionarysearch.xul"]

    if ("dictionarysearchData" in gData)
        return;

    var dictionarysearchData = {};
    // log("assigning values");
    dictionarysearchData[0] = dictionarySearchPrefs.getCharPref("url1");
    dictionarysearchData[1] = dictionarySearchPrefs.getCharPref("menutext1");
    dictionarysearchData[2] = dictionarySearchPrefs.getCharPref("accesskey1");

    dictionarysearchData[3] = dictionarySearchPrefs.getCharPref("url2");
    dictionarysearchData[4] = dictionarySearchPrefs.getCharPref("menutext2");
    dictionarysearchData[5] = dictionarySearchPrefs.getCharPref("accesskey2");

    dictionarysearchData[6] = dictionarySearchPrefs.getCharPref("url3");
    dictionarysearchData[7] = dictionarySearchPrefs.getCharPref("menutext3");
    dictionarysearchData[8] = dictionarySearchPrefs.getCharPref("accesskey3");

    dictionarysearchData[9] = dictionarySearchPrefs.getCharPref("url4");
    dictionarysearchData[10] = dictionarySearchPrefs.getCharPref("menutext4");
    dictionarysearchData[11] = dictionarySearchPrefs.getCharPref("accesskey4");

    // Initialise dictionarysearchData here
    gData.dictionarysearchData = dictionarysearchData;  
 
}

function Startup()
{
    //log ("Startup(): pref-dictionarysearch.js");
    init(); 
}


